Package org.eclipse.mat.ui.snapshot.panes

# Class DominatorPane

java.lang.Object
org.eclipse.mat.ui.editor.AbstractEditorPane
org.eclipse.mat.ui.internal.panes.QueryResultPane
org.eclipse.mat.ui.snapshot.panes.DominatorPane

All Implemented Interfaces:
  `IAdaptable`, `ISelectionProvider`, `IEditorPart`, `ISaveablePart`, `IWorkbenchPart`

public class DominatorPane extends QueryResultPane

## Field Summary

### Fields inherited from interface org.eclipse.ui.IEditorPart

`PROP_DIRTY, PROP_INPUT`

### Fields inherited from interface org.eclipse.ui.IWorkbenchPart

`PROP_TITLE`

## Constructor Summary

Constructors
Constructor
Description
`DominatorPane()`

## Method Summary

Modifier and Type
Method
Description
`void`
`contributeToToolBar(IToolBarManager manager)`
`void`
`initWithArgument(Object argument)`

### Methods inherited from class org.eclipse.mat.ui.internal.panes.QueryResultPane

`addSelectionChangedListener, createPartControl, getAdapter, getSelection, getSrcQueryResult, getTitle, getTitleImage, getTitleToolTip, removeSelectionChangedListener, setFocus, setSelection`

### Methods inherited from class org.eclipse.mat.ui.editor.AbstractEditorPane

`addPropertyListener, dispose, doSave, doSaveAs, getEditor, getEditorInput, getEditorSite, getPaneId, getPaneState, getParentPane, getQueryContext, getSite, init, isDirty, isSaveAsAllowed, isSaveOnCloseNeeded, removePropertyListener, setPaneState`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### DominatorPane

public DominatorPane()

## Method Details

### initWithArgument

public void initWithArgument(Object argument)

Overrides:
  `initWithArgument` in class `QueryResultPane`
Parameters:
  `argument` -

### contributeToToolBar

public void contributeToToolBar(IToolBarManager manager)

Overrides:
  `contributeToToolBar` in class `QueryResultPane`
Parameters:
  `manager` -